Bug 858401 - f18 anaconda timezone map: cities positions on the map seems wrong
f18 anaconda timezone map: cities positions on the map seems wrong
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 17:36 EDT by Reartes Guillermo
Modified: 2014-01-02 10:35 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 10:35:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
buenos aires is not there (365.30 KB, image/png)
2012-09-18 17:36 EDT, Reartes Guillermo
no flags Details
montevideo is also wrong (365.03 KB, image/png)
2012-09-18 17:37 EDT, Reartes Guillermo
no flags Details
minipic of buenos aires (3.26 KB, image/png)
2012-09-21 13:03 EDT, Reartes Guillermo
no flags Details
minipic of montevideo (1.92 KB, image/png)
2012-09-21 13:03 EDT, Reartes Guillermo
no flags Details
pin.png from anaconda git (561 bytes, image/png)
2012-09-25 01:05 EDT, Steve Tyler
no flags Details

  None (edit)
Description Reartes Guillermo 2012-09-18 17:36:32 EDT
Created attachment 614136 [details]
buenos aires is not there

Description of problem:

See attached pictures.
Some cities (or all) seems to be in an incorrect positions on the map.

Version-Release number of selected component (if applicable):
f18a rc3 (anaconda 18.6.8)

How reproducible:
always

Steps to Reproduce:
1. select 'buenos aires' or 'montevideo'
2. incorrect city location.

 
Actual results:
just an incorrect map, it does not prevent anaconda from
setting the timezone. Seems "aesthetic" issue.
Comment 1 Reartes Guillermo 2012-09-18 17:37:27 EDT
Created attachment 614138 [details]
montevideo is also wrong
Comment 2 Steve Tyler 2012-09-20 22:33:45 EDT
AFAICT, the location of Buenos Aires as indicated by the orange pin in the first attachment is the same as it is on this map of the time zones of the world: 

File:Standard time zones of the world.png
http://en.wikipedia.org/wiki/File:Standard_time_zones_of_the_world.png

The pin for Montevideo also appears to be correctly positioned:
http://maps.google.com/?ll=-34.921971,-56.162109&spn=30.194984,61.171875&t=m&z=5
Comment 3 Vratislav Podzimek 2012-09-21 06:08:56 EDT
We are using the same map widget as gnome-control-center. Please see
https://bugzilla.gnome.org/show_bug.cgi?id=684372
Comment 4 Steve Tyler 2012-09-21 12:53:47 EDT
(In reply to comment #3)
> We are using the same map widget as gnome-control-center. Please see
> https://bugzilla.gnome.org/show_bug.cgi?id=684372

Thanks for pointing that out.

Reartes: Did you notice that the location is shown by a "3D" map pin? The pinhead is an orange sphere. The location is where the stem of the pin sticks into the map.
Comment 5 Reartes Guillermo 2012-09-21 13:03:04 EDT
Created attachment 615519 [details]
minipic of buenos aires

> Reartes: Did you notice that the location is shown by a
> "3D" map pin? The pinhead is an orange sphere. The location
> is where the stem of the pin sticks into the map.

WoW, it was actually a pinhead... no i did not notice it. :-(

And i definitively did not notice the '3D' aspect at all. I am using VESA
in a KVM GUEST, so maybe it requires radeon/intel/nouveau. ?
Comment 6 Reartes Guillermo 2012-09-21 13:03:30 EDT
Created attachment 615520 [details]
minipic of montevideo
Comment 7 Vratislav Podzimek 2012-09-24 04:16:08 EDT
(In reply to comment #5)
> Created attachment 615519 [details]
> minipic of buenos aires
> 
> > Reartes: Did you notice that the location is shown by a
> > "3D" map pin? The pinhead is an orange sphere. The location
> > is where the stem of the pin sticks into the map.
> 
> WoW, it was actually a pinhead... no i did not notice it. :-(
> 
> And i definitively did not notice the '3D' aspect at all. I am using VESA
> in a KVM GUEST, so maybe it requires radeon/intel/nouveau. ?
It's not '3D' as technology, it's just a '3D-look effect. Do you think it would be better to use just the circle? g-c-c map uses this pin and I wanted to make our map consistent with the g-c-c's one, but it's an easy fix.
Comment 8 Reartes Guillermo 2012-09-24 19:27:01 EDT
> it's just a '3D-look effect. Do you think it would be better 
> to use just the circle?

Yes, a circle or just a point. That is a (very) old 'convention' for 
marking cities on a map. 

map-making basics:
http://www.colorado.edu/geography/gcraft/notes/cartocom/section5.html#5_5.2


Additionally:

Using pinheads might be useful when marking custom location on a physical map.
But using pinheads on a digital map seems like a form of skeuomorphism. While
skeuomorphism is not bad per-se, i am really against it personally.

http://en.wikipedia.org/wiki/Skeuomorph
Comment 9 Steve Tyler 2012-09-24 21:41:44 EDT
Máirín: I'm adding you to the CC list, because this bug is getting into questions of map design.
Comment 10 Steve Tyler 2012-09-24 22:47:32 EDT
Google Maps uses a balloon pointer with a shadow:
http://maps.google.com/?t=m&q=loc:-34.669,-58.403&z=4

Examples of various map icons:
http://code.google.com/p/google-maps-icons/

A rationale for using a pinhead is that it can be offset from the location, so that the pinhead does not obscure the location. A balloon pointer does the same thing, but it might be easier to interpret.
Comment 11 Steve Tyler 2012-09-25 01:05:26 EDT
Created attachment 616858 [details]
pin.png from anaconda git

For reference, this is pin.png from the anaconda git. It is a 16x16 pixmap from:
http://git.fedorahosted.org/cgit/anaconda.git/plain/widgets/data/tzmapdata/pin.png
http://git.fedorahosted.org/cgit/anaconda.git/tree/widgets/data/tzmapdata

Reartes: Your image attachments could be opened from a web browser if they were MIME Type "image/png". The MIME Type can be changed by clicking "Details", "edit details".
Comment 12 Reartes Guillermo 2012-09-25 06:43:02 EDT
Google Maps uses the pinhead to mark locations, not cities (area). And the map
can be zoomed. Actually, it has a different purpose than anaconda's one.

In comment #10 link, the pinhead is over the city (which is still a circle).

Also the readability of the pinhead in the example map (Google) is very good.

In the anaconda case it is not. If the intention is to continue using the pinhead, then at least it should be improved somehow.

Maybe changing the color of the 'pin' of the head to black might help. Or maybe making the 'pin' of the head wider. Currently, the 'pin' of the head is not easy to be seen. I can see it, but i missed it completely the first time, and there are people which will not see it at all.
 
Also Google's pinhead is better because the figure of the pinhead makes it very readable. In anaconda's case, it is a full circle (or sphere) and a pin. Anaconda's circle does not hint of the 'pin'. If one does not actually see the 'pin', then one might conclude that the circle is the city.
Comment 13 Máirín Duffy 2012-09-25 13:01:12 EDT
FWIW I think any improvements made to this widget should be made upstream in gnome, I think it would be a shame to carry a fork of it. Part of what we're trying to do with the UI redesign is be more consistent with configuration in the OS itself, if we veer off in our own direction we lose that consistency.
Comment 14 Reartes Guillermo 2012-11-26 19:36:29 EST
I do agree with comment #13, this should be solved (or not) in upstream (gnome).

Maybe this bug-report can be closed.
Comment 15 Fedora End Of Life 2013-12-21 03:53:44 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 David Shea 2014-01-02 10:35:01 EST
Closing per comment 13, and since anaconda is now using libtimezonemap for the timezone widget.

Note You need to log in before you can comment on or make changes to this bug.